Subject: bug#33513: 26.1; emacsclient forgetting keybinds set by tty-setup-hook

From: Eli Zaretskii <[email-masked]>
Date: Sat, 28 Nov 2020 11:23:11 +0200

> Date: Sat, 28 Nov 2020 10:12:58 +0100
> From: Hadrien Lacour <[email-masked]>
> Cc: [email-masked]
> 
> > >> What key stroke is "^[[1;5A" (etc) representing?
> >
> > [...]
> >
> > > as the line says, "Ctrl + Up arrow". I think I stopped used
> > > emacsclient because of this, actually.
> >
> > When I use emacsclient -nw (Debian bullseye), `C-up' works without
> > altering input-decode-map, so I'm wondering why your terminal is sending
> > key sequences making it necessary to alter input-decode-map.
> 
> Most probably because Emacs has some defaults for xterm based terminals, which
> st isn't. And Emacs needs those defaults because "C-up" isn't described by
> terminfo.

So maybe the way forward is to update lisp/term/st.el with these
sequences?  Currently, we behave as if st is the same as xterm.

> Anyway, that's not really the problem, the bindings shouldn't
> disappear. Mind you, I haven't try to reproduce it with the current version,
> I'll probably get to it.

Please do, perhaps the latest code already fixes this problem.

Thanks.